/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.client.model.item;

import net.minecraft.resources.ResourceLocation;
import software.bernie.geckolib.model.DefaultedItemGeoModel;
import top.r3944realms.eroticdungeongame.EroticDungeon;
import top.r3944realms.eroticdungeongame.client.model.block.LoveMachineBlockModel;
import top.r3944realms.eroticdungeongame.content.item.LoveMachineItem;

public class LoveMachineItemModel extends DefaultedItemGeoModel<LoveMachineItem> {
    public static final ResourceLocation TEXTURE = EroticDungeon.rl("textures/block/love_machine.png");
    public static final ResourceLocation ANIMATION = EroticDungeon.rl("animations/block/love_machine.animation.json");
    public static final ResourceLocation MODEL = EroticDungeon.rl("geo/block/end_rod_love_machine.geo.json");
    private final ResourceLocation newModelRL;
    public LoveMachineItemModel(String type) {
        super(LoveMachineBlockModel.PATH);
        this.newModelRL = MODEL.withPath("geo/block/" + type + "_love_machine.geo.json");
    }
    @Override
    public ResourceLocation getModelResource(LoveMachineItem animatable) {
        return newModelRL;
    }

    @Override
    public ResourceLocation getTextureResource(LoveMachineItem animatable) {
        return TEXTURE;
    }

    @Override
    public ResourceLocation getAnimationResource(LoveMachineItem animatable) {
        return ANIMATION;
    }
}
